<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html">

<h:head></h:head>
<body>

	<h:form>
		<h:inputText value="#{aBean.msg}" />

		<h:commandButton action="Test2" value="Action">
			<f:setPropertyActionListener value="#{aBean.msg}"
				target="#{bBean.msg2}"></f:setPropertyActionListener>
		</h:commandButton>
	</h:form>
</body>
</html>
